/*
 *  Copyright (c) 2003 Helsinki Institute for Information Technology
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to
 *  deal in the Software without restriction, including without limitation the
 *  rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 *  sell copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 *  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 *  IN THE SOFTWARE.
 */

package vbsearch;

/**
 *  Description of the Class
 *
 * @author     Samppa
 * @created    27. elokuuta 2003
 */
public class UnknownResourceException extends Exception {
	/**
	 *  Description of the Field
	 */
	private VBSResource resource;


	/**
	 *  Constructor for the UnknownResourceException object
	 */
	public UnknownResourceException() {
		super();
	}


	/**
	 *  Constructor for the UnknownResourceException object
	 *
	 * @param  msg  Description of the Parameter
	 */
	public UnknownResourceException(String msg) {
		super(msg);
	}


	/**
	 *  Constructor for the UnknownResourceException object
	 *
	 * @param  resource  Description of the Parameter
	 */
	public UnknownResourceException(VBSResource resource) {
		super();
		this.resource = resource;
	}


	/**
	 *  Gets the resource attribute of the UnknownResourceException object
	 *
	 * @return    The resource value
	 */
	public VBSResource getResource() {
		return this.resource;
	}
}

