/*
 *  Copyright (c) 2003 Helsinki Institute for Information Technology
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to
 *  deal in the Software without restriction, including without limitation the
 *  rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 *  sell copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 *  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 *  IN THE SOFTWARE.
 */

package vbsearch;

import java.util.*;

/**
 *  Description of the Class
 *
 * @author     Samppa
 * @created    26. elokuuta 2003
 */
public interface VBSResource extends Comparable {

	/**
	 *  Gets the iD attribute of the VBSResource object
	 *
	 * @return    The iD value
	 */
	public String getID();


	/**
	 *  Gets the uRI attribute of the Category object
	 *
	 * @return    The uRI value
	 */
	public String getURI();


	/**
	 *  Gets the nameSpace attribute of the VBSResource object
	 *
	 * @return    The nameSpace value
	 */
	public String getNamespace();


	/**
	 *  Gets the localName attribute of the VBSResource object
	 *
	 * @return    The localName value
	 */
	public String getLocalName();


	/**
	 *  Gets the anon attribute of the Category object
	 *
	 * @return    The anon value
	 */
	public boolean isAnon();


	/**
	 *  Gets the document attribute of the VBSResource object
	 *
	 * @return    The document value
	 */
	public String getDocument();


	/**
	 *  Gets the propertyValue attribute of the VBSResource object
	 *
	 * @param  property  Description of the Parameter
	 * @return           The propertyValue value
	 */
	public Iterator listStatements(String property);


	/**
	 *  Gets the label attribute of the VBSResource object
	 *
	 * @param  lang  Description of the Parameter
	 * @return       The label value
	 */
	public String getLabel(String lang);

//	public int hashCode();

//	public boolean equals(Object o);

//	public int compareTo(Object o);
}

