/*
 *  Copyright (c) 2003 Helsinki Institute for Information Technology
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to
 *  deal in the Software without restriction, including without limitation the
 *  rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 *  sell copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 *  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 *  IN THE SOFTWARE.
 */

package vbsearch.impl.mem;

import java.io.Serializable;
import vbsearch.*;
import vbsearch.impl.*;
import vbsearch.util.*;

/**
 *  Description of the Class
 *
 * @author     Samppa
 * @created    September 11, 2003
 */
public class VBSLiteralImpl implements VBSLiteral, Serializable {
	/**
	 *  Description of the Field
	 */
	private String lang;
	/**
	 *  Description of the Field
	 */
	private String string;


	/**
	 *  Constructor for the VBSLiteralImpl object
	 *
	 * @param  another  Description of the Parameter
	 */
	public VBSLiteralImpl(VBSLiteral another) {
		this(another.getString(), another.getLanguage());
	}


	/**
	 *  Constructor for the VBSLiteralImpl object
	 *
	 * @param  string  Description of the Parameter
	 * @param  lang    Description of the Parameter
	 */
	public VBSLiteralImpl(String string, String lang) {
		this.string = string;
		this.lang = lang;
		if (this.lang != null && this.lang.length() == 0) {
			this.lang = null;
		}
	}


	/**
	 *  Gets the language attribute of the VBSLiteral object
	 *
	 * @return    The language value
	 */
	public String getLanguage() {
		return this.lang;
	}


	/**
	 *  Description of the Method
	 *
	 * @return    Description of the Return Value
	 */
	public String getString() {
		return this.string;
	}


	/**
	 *  Description of the Method
	 *
	 * @param  language  Description of the Parameter
	 * @return           Description of the Return Value
	 */
	public boolean matchLanguage(String language) {
		boolean rv  = false;
		if (language == null || this.lang == null) {
			rv = true;
		} else if (this.lang.equals(language)) {
			rv = true;
		}
		return rv;
	}
}

