/*
 *  Copyright (c) 2003 Helsinki Institute for Information Technology
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to
 *  deal in the Software without restriction, including without limitation the
 *  rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 *  sell copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 *  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 *  IN THE SOFTWARE.
 */

package vbsearch.impl.mem;

import java.io.Serializable;
import java.net.*;
import java.util.*;
import seco.util.iterator.*;
import vbsearch.*;
import vbsearch.impl.*;
import vbsearch.util.*;

/**
 *  Description of the Class
 *
 *@author     Samppa
 *@created    26. elokuuta 2003
 */
public class VBSResourceImpl implements VBSResource, Serializable, Comparable {
    /**
     *  Description of the Field
     */
    //protected String document;
    /**
     *  Description of the Field
     */
    //protected String id;

    /**
     *  Description of the Field
     */
    protected VBSResource jena;


    /**
     *  Description of the Field
     *
     *@param  resource                  Description of the Parameter
     *@exception  URISyntaxException    Description of the Exception
     *@exception  NullPointerException  Description of the Exception
     */
    //protected String ln;

    /**
     *  Description of the Field
     *
     *@param  resource                  Description of the Parameter
     *@exception  URISyntaxException    Description of the Exception
     *@exception  NullPointerException  Description of the Exception
     */
    //protected String ns;
    /**
     *  Description of the Field
     *
     *@param  resource                  Description of the Parameter
     *@exception  URISyntaxException    Description of the Exception
     *@exception  NullPointerException  Description of the Exception
     */
    //protected Map statements   = new HashMap();
    /**
     *  Description of the Field
     *
     *@param  resource                  Description of the Parameter
     *@exception  URISyntaxException    Description of the Exception
     *@exception  NullPointerException  Description of the Exception
     */
    //protected String uri;


    /**
     *  Constructor for the VBSResourceImpl object
     *
     *@param  resource                  Description of the Parameter
     *@exception  URISyntaxException    Description of the Exception
     *@exception  NullPointerException  Description of the Exception
     */
    public VBSResourceImpl(VBSResource resource) throws URISyntaxException, NullPointerException {
        this.jena = resource;
    }


    /**
     *  Description of the Method
     *
     *@param  o  Description of the Parameter
     *@return    Description of the Return Value
     */
    public int compareTo(Object o) {
        return this.jena.compareTo(o);
    }


    /**
     *  Description of the Method
     *
     *@param  o  Description of the Parameter
     *@return    Description of the Return Value
     */
    public boolean equals(Object o) {
        return this.jena.equals(o);
    }


    /**
     *  Gets the document attribute of the VBSResource object
     *
     *@return    The document value
     */
    public String getDocument() {
        return this.jena.getDocument();
    }


    /**
     *  Gets the iD attribute of the VBSResource object
     *
     *@return    The iD value
     */
    public String getID() {
        return this.jena.getID();
    }


    /**
     *  Gets the label attribute of the CategoryImpl object
     *
     *@param  LANG  Description of the Parameter
     *@return       The label value
     */
    public String getLabel(String LANG) {
        return this.jena.getLabel(LANG);
    }


    /**
     *  Gets the localName attribute of the VBSResourceImpl object
     *
     *@return    The localName value
     */
    public String getLocalName() {
        return this.jena.getLocalName();
    }


    /**
     *  Gets the nameSpace attribute of the VBSResourceImpl object
     *
     *@return    The nameSpace value
     */
    public String getNamespace() {
        return this.jena.getNamespace();
    }


    /**
     *  Gets the uRI attribute of the VBSResourceImpl object
     *
     *@return    The uRI value
     */
    public String getURI() {
        return this.jena.getURI();
    }


    /**
     *  Description of the Method
     *
     *@return    Description of the Return Value
     */
    public int hashCode() {
        if (isAnon()) {
            return getID().hashCode();
        } else {
            return getURI().hashCode();
        }
    }


    /**
     *  Gets the anon attribute of the VBSResourceImpl object
     *
     *@return    The anon value
     */
    public boolean isAnon() {
        return this.jena.isAnon();
    }


    /**
     *  Gets the propertyValue attribute of the VBSResource object
     *
     *@param  property  Description of the Parameter
     *@return           The propertyValue value
     */
    public Iterator listStatements(String property) {
        return this.jena.listStatements(property);
    }


    /**
     *  Description of the Method
     *
     *@return    Description of the Return Value
     */
    public String toString() {
        if (isAnon()) {
            return getID();
        } else {
            return getURI();
        }
    }
}

