/*
 *  Copyright (c) 2003 Helsinki Institute for Information Technology
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to
 *  deal in the Software without restriction, including without limitation the
 *  rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 *  sell copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 *  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 *  IN THE SOFTWARE.
 */

package vbsearch.query;

import com.hp.hpl.jena.util.iterator.*;
import java.util.*;
import vbsearch.*;

/**
 *  Description of the Class
 *
 *@author     Samppa
 *@created    September 12, 2003
 */
public interface CategoryConstraint extends VBSResource {
    /**
     *  Gets the category attribute of the CategoryConstraint object
     *
     *@return    The category value
     */
    public Iterator getCategory();


    /**
     *@return
     */
    public Iterator getBookmark();


    /**
     *  Gets the keyword attribute of the CategoryConstraint object
     *
     *@return    The keyword value
     */
    public Iterator getCategoryKeyword();


    /**
     *  Gets the bookmarkKeyword attribute of the CategoryConstraint object
     *
     *@return    The bookmarkKeyword value
     */
    public Iterator getBookmarkKeyword();


    /**
     *  Gets the projectedFrom attribute of the FacetSelector object
     *
     *@return    The projectedFrom value
     */
    public Iterator getProjectedFrom();
}

